Submit Measurements
Submit a measurement or multiple measurements to the m3ter platform. The maximum size of the payload needs to be less than 512,000 bytes.
NOTES:
- Non-existent Accounts. The
accountrequest parameter is required. However, if you want to submit a usage data measurement for an Account which does not yet exist in your Organization, you can use anaccountcode for a non-existent Account. A new skeleton Account will be automatically created. The usage data measurement is accepted and ingested as data belonging to the new auto-created Account. At a later date, you can edit the Account and update the Code,??Name, and email address. For more details, see Submitting Usage Data for Non-Existent Accounts in our main documentation. - Usage Data Adjustments. If you need to make corrections for billing retrospectively against an Account, you can use date/time values in the past for the
ts(timestamp) request parameter to submit positive or negative usage data amounts to correct and reconcile earlier billing anomalies. For more details, see Submitting Usage Data Adjustments Using Timestamp in our main documentation. - Ingest Validation Failure Events. After the intial submission of a usage data measurement to the Ingest API, a data enrichment stage is performed to check for any errors in the usage data measurement, such as a missing field. If an error is identified, this might result in the submission being rejected. In these cases, an ingest validation failure Event is generated, which you can review on the Ingest Events page in the Console. See also the Events section in this API Reference.
IMPORTANT! - Use of PII: The use of any of your end-customers’ Personally Identifiable Information (PII) in m3ter is restricted to a few fields on the Account entity. Please ensure that any measurements you submit do not contain any end-customer PII data. See the Introduction section above for more details.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
Body
Request containing the usage data measurements for submission.
1 - 1000 elementsResponse
Returns the result of the submission
accepted is returned when successful.